using System;
using Microsoft.EntityFrameworkCore.Migrations;

namespace Moshaverino.Core.Migrations
{
    public partial class init : Migration
    {
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.CreateTable(
                name: "Students",
                columns: table => new
                {
                    StudentId = table.Column<int>(nullable: false)
                        .Annotation("SqlServer:Identity", "1, 1"),
                    CreationTime = table.Column<DateTime>(nullable: false),
                    RemoveTime = table.Column<DateTime>(nullable: false),
                    IsRemoved = table.Column<bool>(nullable: false),
                    PhoneNumber = table.Column<string>(nullable: true),
                    Code = table.Column<string>(nullable: true),
                    HumenSex = table.Column<int>(nullable: false),
                    FullName = table.Column<string>(nullable: true),
                    StudyField = table.Column<string>(nullable: true),
                    StudyGrade = table.Column<string>(nullable: true),
                    AverageNumber = table.Column<string>(nullable: true),
                    FavoriteLesson = table.Column<string>(nullable: true),
                    UnFavoriteLesson = table.Column<string>(nullable: true),
                    FavoriteExam = table.Column<string>(nullable: true),
                    AverageTaraz = table.Column<string>(nullable: true)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_Students", x => x.StudentId);
                });
        }

        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropTable(
                name: "Students");
        }
    }
}
